<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: gg::KeyReleasedEvent Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1KeyReleasedEvent.html">KeyReleasedEvent</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classgg_1_1KeyReleasedEvent-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">gg::KeyReleasedEvent Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="KeyboardEvent_8hpp_source.html">KeyboardEvent.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for gg::KeyReleasedEvent:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classgg_1_1KeyReleasedEvent.png" usemap="#gg::KeyReleasedEvent_map" alt=""/>
  <map id="gg::KeyReleasedEvent_map" name="gg::KeyReleasedEvent_map">
<area href="classgg_1_1KeyboardEvent.html" alt="gg::KeyboardEvent" shape="rect" coords="0,56,138,80"/>
<area href="classgg_1_1IEvent.html" alt="gg::IEvent" shape="rect" coords="0,0,138,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a1f482b17b96ceb5141a4b4cfbbe4a154"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1KeyReleasedEvent.html#a1f482b17b96ceb5141a4b4cfbbe4a154">KeyReleasedEvent</a> (sf::Keyboard::Key keycode)</td></tr>
<tr class="separator:a1f482b17b96ceb5141a4b4cfbbe4a154"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad26aca2fd0b1a7ec81ffec12bd886479"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1KeyReleasedEvent.html#ad26aca2fd0b1a7ec81ffec12bd886479">~KeyReleasedEvent</a> () override=default</td></tr>
<tr class="separator:ad26aca2fd0b1a7ec81ffec12bd886479"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49587642a655c28b0c2d4042c0836e50"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1KeyReleasedEvent.html#a49587642a655c28b0c2d4042c0836e50">GetEventType</a> () const -&gt; <a class="el" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122">EventType</a> override</td></tr>
<tr class="separator:a49587642a655c28b0c2d4042c0836e50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95c1d915380747f69026b8cb59058763"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1KeyReleasedEvent.html#a95c1d915380747f69026b8cb59058763">to_string</a> () -&gt; std::string override</td></tr>
<tr class="separator:a95c1d915380747f69026b8cb59058763"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classgg_1_1KeyboardEvent"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classgg_1_1KeyboardEvent')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classgg_1_1KeyboardEvent.html">gg::KeyboardEvent</a></td></tr>
<tr class="memitem:a2dd18280ee3e99347875156d4aa8a600 inherit pub_methods_classgg_1_1KeyboardEvent"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1KeyboardEvent.html#a2dd18280ee3e99347875156d4aa8a600">KeyboardEvent</a> ()</td></tr>
<tr class="separator:a2dd18280ee3e99347875156d4aa8a600 inherit pub_methods_classgg_1_1KeyboardEvent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbc54be23fd27c01ab5f6ce6c558f85d inherit pub_methods_classgg_1_1KeyboardEvent"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1KeyboardEvent.html#acbc54be23fd27c01ab5f6ce6c558f85d">~KeyboardEvent</a> () override=default</td></tr>
<tr class="separator:acbc54be23fd27c01ab5f6ce6c558f85d inherit pub_methods_classgg_1_1KeyboardEvent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95443182d3146abfb2549ee1d9bdd72c inherit pub_methods_classgg_1_1KeyboardEvent"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1KeyboardEvent.html#a95443182d3146abfb2549ee1d9bdd72c">GetEventType</a> () const -&gt; <a class="el" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122">EventType</a> override=0</td></tr>
<tr class="separator:a95443182d3146abfb2549ee1d9bdd72c inherit pub_methods_classgg_1_1KeyboardEvent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc64d61158c025aa2e940ddaecf04876 inherit pub_methods_classgg_1_1KeyboardEvent"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1KeyboardEvent.html#abc64d61158c025aa2e940ddaecf04876">GetKeycode</a> () -&gt; sf::Keyboard::Key</td></tr>
<tr class="separator:abc64d61158c025aa2e940ddaecf04876 inherit pub_methods_classgg_1_1KeyboardEvent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a50fcf8c135a015551d375b4865f71c inherit pub_methods_classgg_1_1KeyboardEvent"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1KeyboardEvent.html#a0a50fcf8c135a015551d375b4865f71c">KeycodeToString</a> () -&gt; char</td></tr>
<tr class="separator:a0a50fcf8c135a015551d375b4865f71c inherit pub_methods_classgg_1_1KeyboardEvent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81e1418e6e8554e9cedf580bd7b2b5ac inherit pub_methods_classgg_1_1KeyboardEvent"><td class="memItemLeft" align="right" valign="top">virtual auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1KeyboardEvent.html#a81e1418e6e8554e9cedf580bd7b2b5ac">to_string</a> () -&gt; std::string=0</td></tr>
<tr class="separator:a81e1418e6e8554e9cedf580bd7b2b5ac inherit pub_methods_classgg_1_1KeyboardEvent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classgg_1_1IEvent"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classgg_1_1IEvent')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classgg_1_1IEvent.html">gg::IEvent</a></td></tr>
<tr class="memitem:acbf64dbf915a0e0d66bce214266f8ac4 inherit pub_methods_classgg_1_1IEvent"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEvent.html#acbf64dbf915a0e0d66bce214266f8ac4">~IEvent</a> ()=default</td></tr>
<tr class="separator:acbf64dbf915a0e0d66bce214266f8ac4 inherit pub_methods_classgg_1_1IEvent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0154647492980621230ab6cdc3b3080b inherit pub_methods_classgg_1_1IEvent"><td class="memItemLeft" align="right" valign="top">virtual auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEvent.html#a0154647492980621230ab6cdc3b3080b">GetEventType</a> () const -&gt; <a class="el" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122">EventType</a>=0</td></tr>
<tr class="separator:a0154647492980621230ab6cdc3b3080b inherit pub_methods_classgg_1_1IEvent"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classgg_1_1IEvent"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classgg_1_1IEvent')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classgg_1_1IEvent.html">gg::IEvent</a></td></tr>
<tr class="memitem:a0ce169bdd9bd94235a58670a6e9d81cd inherit pro_methods_classgg_1_1IEvent"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEvent.html#a0ce169bdd9bd94235a58670a6e9d81cd">IEvent</a> ()=default</td></tr>
<tr class="separator:a0ce169bdd9bd94235a58670a6e9d81cd inherit pro_methods_classgg_1_1IEvent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classgg_1_1KeyboardEvent"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classgg_1_1KeyboardEvent')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classgg_1_1KeyboardEvent.html">gg::KeyboardEvent</a></td></tr>
<tr class="memitem:a5963a3b82f5bd8c2fca8156297f15725 inherit pro_attribs_classgg_1_1KeyboardEvent"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1KeyboardEvent.html#a5963a3b82f5bd8c2fca8156297f15725">mKeycodeString</a></td></tr>
<tr class="separator:a5963a3b82f5bd8c2fca8156297f15725 inherit pro_attribs_classgg_1_1KeyboardEvent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada0379b2c75fed648eada3923788b035 inherit pro_attribs_classgg_1_1KeyboardEvent"><td class="memItemLeft" align="right" valign="top">sf::Keyboard::Key&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1KeyboardEvent.html#ada0379b2c75fed648eada3923788b035">mKeycode</a></td></tr>
<tr class="separator:ada0379b2c75fed648eada3923788b035 inherit pro_attribs_classgg_1_1KeyboardEvent"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a1f482b17b96ceb5141a4b4cfbbe4a154" name="a1f482b17b96ceb5141a4b4cfbbe4a154"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f482b17b96ceb5141a4b4cfbbe4a154">&#9670;&nbsp;</a></span>KeyReleasedEvent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gg::KeyReleasedEvent::KeyReleasedEvent </td>
          <td>(</td>
          <td class="paramtype">sf::Keyboard::Key&#160;</td>
          <td class="paramname"><em>keycode</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad26aca2fd0b1a7ec81ffec12bd886479" name="ad26aca2fd0b1a7ec81ffec12bd886479"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad26aca2fd0b1a7ec81ffec12bd886479">&#9670;&nbsp;</a></span>~KeyReleasedEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">gg::KeyReleasedEvent::~KeyReleasedEvent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a49587642a655c28b0c2d4042c0836e50" name="a49587642a655c28b0c2d4042c0836e50"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49587642a655c28b0c2d4042c0836e50">&#9670;&nbsp;</a></span>GetEventType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::KeyReleasedEvent::GetEventType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  <a class="el" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122">EventType</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classgg_1_1KeyboardEvent.html#a95443182d3146abfb2549ee1d9bdd72c">gg::KeyboardEvent</a>.</p>

</div>
</div>
<a id="a95c1d915380747f69026b8cb59058763" name="a95c1d915380747f69026b8cb59058763"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a95c1d915380747f69026b8cb59058763">&#9670;&nbsp;</a></span>to_string()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::KeyReleasedEvent::to_string </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  std::string</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classgg_1_1KeyboardEvent.html#a81e1418e6e8554e9cedf580bd7b2b5ac">gg::KeyboardEvent</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/events/<a class="el" href="KeyboardEvent_8hpp_source.html">KeyboardEvent.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
